var $AdfDhtmlTextPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfDhtmlValuePeer$$, "AdfDhtmlTextPeer");
$goog$exportSymbol$$("AdfDhtmlTextPeer", $AdfDhtmlTextPeer$$);
$AdfDhtmlTextPeer$$.$InitSubclass$ = function $$AdfDhtmlTextPeer$$$$InitSubclass$$() {
  this.$_inlineEditor$ = null;
};
$goog$exportSymbol$$("AdfDhtmlTextPeer.InitSubclass", $AdfDhtmlTextPeer$$.$InitSubclass$);
$AdfDhtmlTextPeer$$.prototype.$SetDisplayValue$ = function $$AdfDhtmlTextPeer$$$$$SetDisplayValue$$($component$$2237_currParent$$inline_4833$$, $domElement$$566$$, $newValue$$171$$) {
  if ($component$$2237_currParent$$inline_4833$$.getEscape()) {
    $AdfAgent$$.$AGENT$.$setTextContent$($domElement$$566$$, $newValue$$171$$);
  } else {
    if ("SCRIPT" !== $domElement$$566$$.tagName) {
      $domElement$$566$$.innerHTML = $newValue$$171$$;
    } else {
      $component$$2237_currParent$$inline_4833$$ = $domElement$$566$$.parentNode;
      for (var $children$$inline_6309$$ = [], $childCount$$inline_4835_endId$$inline_6310$$ = $domElement$$566$$.id + "_end", $currChild$$inline_6311_i$$inline_4836$$ = $domElement$$566$$.nextSibling;$currChild$$inline_6311_i$$inline_4836$$ && $currChild$$inline_6311_i$$inline_4836$$.id !== $childCount$$inline_4835_endId$$inline_6310$$;) {
        $children$$inline_6309$$.push($currChild$$inline_6311_i$$inline_4836$$), $currChild$$inline_6311_i$$inline_4836$$ = $currChild$$inline_6311_i$$inline_4836$$.nextSibling;
      }
      $childCount$$inline_4835_endId$$inline_6310$$ = $children$$inline_6309$$.length;
      for ($currChild$$inline_6311_i$$inline_4836$$ = 0;$currChild$$inline_6311_i$$inline_4836$$ < $childCount$$inline_4835_endId$$inline_6310$$;$currChild$$inline_6311_i$$inline_4836$$++) {
        $component$$2237_currParent$$inline_4833$$.removeChild($children$$inline_6309$$[$currChild$$inline_6311_i$$inline_4836$$]);
      }
      $domElement$$566$$.insertAdjacentHTML("afterend", $newValue$$171$$);
    }
  }
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlTextPeer.prototype.SetDisplayValue", {$SetDisplayValue$:$AdfDhtmlTextPeer$$.prototype.$SetDisplayValue$});
$AdfDhtmlTextPeer$$.prototype.$GetDisplayValue$ = function $$AdfDhtmlTextPeer$$$$$GetDisplayValue$$($component$$2238$$, $domElement$$567$$) {
  $AdfDomUtils$$.$stripScripts$($domElement$$567$$);
  return $component$$2238$$.getEscape() ? $AdfAgent$$.$AGENT$.$getTextContent$($domElement$$567$$) : $domElement$$567$$.innerHTML;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlTextPeer.prototype.GetDisplayValue", {$GetDisplayValue$:$AdfDhtmlTextPeer$$.prototype.$GetDisplayValue$});
$AdfDhtmlTextPeer$$.prototype.$GetInlineEditor$ = function $$AdfDhtmlTextPeer$$$$$GetInlineEditor$$() {
  var $inlineEditor$$9$$ = $AdfDhtmlTextPeer$$.$_inlineEditor$;
  null == $inlineEditor$$9$$ && ($inlineEditor$$9$$ = new $AdfRichPlainTextEditor$$("value"), $AdfDhtmlTextPeer$$.$_inlineEditor$ = $inlineEditor$$9$$);
  return $inlineEditor$$9$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlTextPeer.prototype.GetInlineEditor", {$GetInlineEditor$:$AdfDhtmlTextPeer$$.prototype.$GetInlineEditor$});
$AdfDhtmlTextPeer$$.prototype.$getConvertedValue$ = function $$AdfDhtmlTextPeer$$$$$getConvertedValue$$($component$$2239$$, $submittedValue$$30$$) {
  null == $component$$2239$$ && ($component$$2239$$ = this.$getComponent$());
  if ($component$$2239$$.getConverter) {
    var $converter$$23$$ = $component$$2239$$.getConverter();
    if (null != $converter$$23$$ && !($converter$$23$$ instanceof $AdfMissingConverter$$)) {
      return $AdfDhtmlTextPeer$$.$superclass$.$getConvertedValue$.call(this, $component$$2239$$, $submittedValue$$30$$);
    }
  }
  return $submittedValue$$30$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlTextPeer.prototype.getConvertedValue", {$getConvertedValue$:$AdfDhtmlTextPeer$$.prototype.$getConvertedValue$});
